Bug 46211 - System pauses when battery applet is updating (ThinkPad 240)
System pauses when battery applet is updating (ThinkPad 240)
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-06-27 08:33 EDT by Stuart Fairley
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-02 04:46:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stuart Fairley 2001-06-27 08:33:29 EDT
Description of Problem:
Running on an IBM ThinkPad 240, after starting X the system appears to
pause every few seconds (most noticeable when using the mouse, which just
stops moving).

How Reproducible:
Run a laptop install on a ThinkPad 240, run X, move the mouse around

Steps to Reproduce:
1.  Start X on IBM ThinkPad 240
2.  Move mouse around

Actual Results:
Mouse stops moving for a moment every few seconds (system stops

Expected Results:
System should run smoothly all the time and mouse motion should be smooth.

Additional Information:
After some investigation it appeared to be the battery applet which was
causing the problem - increasing the time between updates caused the pauses
to happen less often. Disabling the battery applet fixed the problem
Comment 1 Mike A. Harris 2001-06-29 17:25:15 EDT
Arjan, could this be kernel related?
Comment 2 Mike A. Harris 2001-06-29 17:54:11 EDT
Or more likely, a bug in the applet causing it to consume CPU and slow X
down.  Most probably not an XFree86 bug.
Comment 3 Arjan van de Ven 2001-07-02 04:46:05 EDT
Bios bug; some biosses take forever to determine batterystatus and the
battery applet then causes evil things ...
Comment 4 Stuart Fairley 2001-07-02 11:45:57 EDT
After Arjan's comment I checked the BIOS version and found there had been 14
releases since the version I had. I upgraded to the latest version (1.16) and
the applet doesn't appear to cause any degradation in performance now.


Note You need to log in before you can comment on or make changes to this bug.